image: maven:3.6.2-jdk-8

build:
  stage: build
  script:
    - find -type d . ; javac -v
    - export PATH=$PATH:$JAVA_HOME/bin/
    - mvn package
  artifacts:
    paths:
      - target/saref-pipeline.jar
  only:
    - master 


